Home

# Class goog.structs.Queue

Class for FIFO Queue data structure.

Instance Method Summary
| `clear()` Removes all elements from the queue.
| `contains(<Any Type> obj) ⇒ boolean` Returns true if the given value is in the queue.
| `dequeue() ⇒ <Any Type>` Retrieves and removes the head of this queue.
| `enqueue(<Any Type> element)` Puts the specified element on this queue.
| `getCount() ⇒ number` Returns the number of elements in this queue.
| `getValues() ⇒ ?Array` Returns all the values in the queue.
| `isEmpty() ⇒ boolean` Returns true if this queue contains no elements.
| `peek() ⇒ <Any Type>` Retrieves but does not remove the head of this queue.
| `remove(<Any Type> obj) ⇒ boolean` Removes the first occurrence of a particular value from the queue.